Page MenuHomeFreeBSD

lang/rust: Update to 1.54.0
ClosedPublic

Authored by mikael on Aug 20 2021, 7:30 AM.

Details

Summary
Test Plan

ref13-aarch64 ok
ref13-amd64 ok
ref11-i386 ok
ref12-i386
ref13-ppc64 ok
ref12-ppc64 ok

armv6 ok
armv7 ok
powerpc ok
powerpc64le ok

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik added a subscriber: tobik.

Thanks for doing the update.

  • I've ran some ref machine builds a couple of weeks ago and they were all fine.
  • Do we still need an exp-run? It looks like you already ran your own.
  • There is an updated LibreSSL patch on the ref machines at ref13-ppc64.freebsd.org:/home/tobik/staging/3995d76b-f848-11eb-abb0-c80aa94ee693/lang/rust/files/patch-vendor_openssl-sys_build_main.rs. Can you add it?
devel/cargo-generate/files/patch-Cargo.lock
1–26 ↗(On Diff #93958)

patch-Cargo.lock should not be needed since cargo update takes care of patching Cargo.lock.

devel/interactive_rebase_tool/files/patch-Cargo.lock
1–26 ↗(On Diff #93958)

patch-Cargo.lock should not be needed since cargo update takes care of patching Cargo.lock.

Thanks for doing the update.

  • I've ran some ref machine builds a couple of weeks ago and they were all fine.

Thanks.

  • Do we still need an exp-run? It looks like you already ran your own.

Not sure, I've only tried on 14amd64

  • There is an updated LibreSSL patch on the ref machines at ref13-ppc64.freebsd.org:/home/tobik/staging/3995d76b-f848-11eb-abb0-c80aa94ee693/lang/rust/files/patch-vendor_openssl-sys_build_main.rs. Can you add it?

done

pkubaj requested changes to this revision.Aug 26 2021, 5:15 PM
pkubaj added a subscriber: pkubaj.

The patch doesn't apply, some parts of it were already committed.

This revision now requires changes to proceed.Aug 26 2021, 5:15 PM
pkubaj edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Aug 28 2021, 1:42 PM
This revision was automatically updated to reflect the committed changes.